Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class FieldDescr

    java.lang.Object
      com.sun.tdk.signaturetest.model.MemberDescription
          com.sun.tdk.signaturetest.model.FieldDescr

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class FieldDescr

extends MemberDescription

See Also:
  Serialized Form

Field Summary
`static FieldDescr[]` | `EMPTY_ARRAY`

Fields inherited from class com.sun.tdk.signaturetest.model.MemberDescription
`ARGS_DELIMITER, CLASS_DELIMITER, delimiter, EMPTY_THROW_LIST, JAVA_LANG, MEMBER_DELIMITER, NO_ARGS, NO_DECLARING_CLASS, NO_TYPE, THROWS_DELIMITER`

Constructor Summary
`FieldDescr()`
`FieldDescr(java.lang.String methodName, java.lang.String className, int modifiers)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getConstantValue()`
`int` | `hashCode()`
`boolean` | `isCompatible(MemberDescription m)`
`boolean` | `isCompatible(MemberDescription m, boolean noValue)`
`boolean` | `isConstant()`
`boolean` | `isField()` Check if `this` item describes some field.
`protected void` | `populateDependences(java.util.Set set)`
`void` | `setConstantValue(java.lang.String value)`
`static void` | `setConstantValuesTracked(boolean cvt)`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.tdk.signaturetest.model.MemberDescription
`addDependency, addModifier, clone, getAnnoList, getArgs, getClassShortName, getDeclaringClassName, getMemberType, getModifiers, getName, getPackageName, getQualifiedName, getSimplifiedArgs, getSimplifiedType, getThrowables, getThrows, getType, getTypeName, getTypeName, getTypeParameters, hasModifier, isAbstract, isClass, isConstructor, isFinal, isInner, isInterface, isMarked, isMethod, isPrivate, isProtected, isPublic, isStatic, isSuperClass, isSuperInterface, mark, removeModifier, setAnnoList, setArgs, setDeclaringClass, setModifiers, setNoDeclaringClass, setThrowables, setType, setTypeParameters, setupClassName, setupClassName, setupGenericClassName, setupGenericClassName, setupInnerClassName, setupMemberName, setupMemberName, unmark, valueToString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_ARRAY

    public static final FieldDescr[] EMPTY_ARRAY

Constructor Detail

### FieldDescr

    public FieldDescr()

### FieldDescr

    public FieldDescr(java.lang.String methodName,
                      java.lang.String className,
                      int modifiers)

Method Detail

### setConstantValuesTracked

    public static void setConstantValuesTracked(boolean cvt)

### isField

    public boolean isField()

  Description copied from class: `MemberDescription`
  Check if `this` item describes some field.

  Overrides:
    `isField` in class `MemberDescription`

### isConstant

    public boolean isConstant()

### setConstantValue

    public void setConstantValue(java.lang.String value)

### getConstantValue

    public java.lang.String getConstantValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `MemberDescription`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MemberDescription`

### isCompatible

    public boolean isCompatible(MemberDescription m)

  Specified by:
    `isCompatible` in class `MemberDescription`

### isCompatible

    public boolean isCompatible(MemberDescription m,
                                boolean noValue)

### populateDependences

    protected void populateDependences(java.util.Set set)

  Overrides:
    `populateDependences` in class `MemberDescription`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD